Skip to main content
Get Employee
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/employees/{external_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{tenant_name}.{region}.techwolf.ai/employees/{external_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "last_updated": "2021-01-21T17:32:28Z",
  "assigned_position": "Python Developer",
  "assigned_position_id": "b3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "active": true,
  "low_data_availability": false,
  "organisational_unit": "e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1",
  "working_history": [
    {
      "job_title": "HR Manager",
      "start_date": "2018-09-05",
      "end_date": "2020-06-17",
      "company": "TechWolf BV",
      "job_description": "Manage the HR department and perform workforce planning"
    }
  ],
  "education_history": [
    {
      "degree_name": "Master in Human Resources Management",
      "start_date": "2016-09-05",
      "end_date": "2018-09-05",
      "school": "Harvard University"
    }
  ],
  "languages": [
    {
      "language": "nl",
      "level": 2
    }
  ],
  "desired_functions": [
    {
      "title": "Business Analyst",
      "importance": 0.5
    },
    {
      "title": "Police Officer",
      "importance": 1
    }
  ],
  "non_desired_functions": "<array>",
  "custom_properties": [
    {
      "property_name": "creation_date",
      "property_value": "2020-03-07"
    },
    {
      "property_name": "language",
      "property_value": "de"
    }
  ],
  "location": {
    "lat": 51.0216707,
    "lng": 3.6887328
  }
}
[
  {
    "title": "401 Unauthorized",
    "description": "OAuth access token is missing, invalid or expired."
  }
]
[
  {
    "title": "403 Forbidden",
    "description": "You don't have access to this resource."
  }
]
[
  {
    "title": "404 Not Found",
    "description": "Unknown external_id describing this resource. Please create this resource first."
  }
]
[
  {
    "title": "405 Method Not Allowed",
    "description": "This method is not allowed for the requested URL."
  }
]
"max connections reached: <limit>"
[
  {
    "title": "503 Service Unavailable",
    "description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Query Parameters

include
enum<string>[]

Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.

Available options:
custom_properties
Example:
["custom_properties"]

Response

OK

Default structure for Employee data.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

last_updated
string<date-time>
required

Timestamp of the last update to this entity.

Example:

"2021-01-21T17:32:28Z"

assigned_position
string | null

Job title of the Employee's assigned position.

Required string length: 1 - 255
Example:

"Python Developer"

assigned_position_id
string<uuid>

external_id of the Job the Employee is assigned to.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b3903505-eb84-42dc-a79f-5e7b1fe897b7"

active
boolean | null
default:true

The Employee will not be used in matching if active is false. This is useful when an Employee is being phased out.

Example:

true

low_data_availability
boolean

Flag indicating whether sufficient data is available for qualitative Skill inference for a given entity.

Example:

false

organisational_unit
string | null

The external ID of the Organisational Unit the Employee is assigned to.

Required string length: 1 - 255
Pattern: [a-zA-Z0-9_-]+
Example:

"e4d3a59c-2f37-4a3f-9318-9d75e0e7a8f1"

working_history
object[] | null

The working history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Working History events.

education_history
object[] | null

The education history of an Employee. It is recommended to add these through the Skill Event endpoints as to not overwrite any existing Education History events.

languages
object[] | null

List of ISO 639-1 codes for languages spoken by the Employee, combined with the proficiency level. The proficiency levels go from 1 (elementary proficiency) to 5 (native proficiency). If the level is omitted, the default proficiency level of 2 is used.

desired_functions
object[] | null

List of desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The desired function is only processed and stored when the desired function is recognized by TechWolf AI.

Example:
[
  {
    "title": "Business Analyst",
    "importance": 0.5
  },
  {
    "title": "Police Officer",
    "importance": 1
  }
]
non_desired_functions
array | null
deprecated

List of non-desired functions of the Employee. Elements consist of a title and an importance. The title can be either a single-line string or free text. The non-desired function is only processed and stored when the non-desired function is recognized by TechWolf AI.

custom_properties
object[]

A list of properties for a given entity. Property values are either strings or numbers.

Example:
[
  {
    "property_name": "creation_date",
    "property_value": "2020-03-07"
  },
  {
    "property_name": "language",
    "property_value": "de"
  }
]
location
Location · object

A geographic location, expressed in latitude and longitude. This can represent a home address, an office location... Each entity is limited to having a single location. To get the latitude and longitude for a given address, you can use the Google Maps Geocoding API or a predefined lookup table (for example by zip code). If location is present in matching or filters, it will act as an override for geo-distance calculations.